[arch-commits] Commit in argyllcms/repos (6 files)

Timothy Redaelli tredaelli at nymeria.archlinux.org
Thu Aug 1 12:47:25 UTC 2013


    Date: Thursday, August 1, 2013 @ 14:47:25
  Author: tredaelli
Revision: 94940

archrelease: copy trunk to community-i686, community-x86_64

Added:
  argyllcms/repos/community-i686/
  argyllcms/repos/community-i686/PKGBUILD
    (from rev 94939, argyllcms/trunk/PKGBUILD)
  argyllcms/repos/community-i686/argyllcms.install
    (from rev 94939, argyllcms/trunk/argyllcms.install)
  argyllcms/repos/community-x86_64/
  argyllcms/repos/community-x86_64/PKGBUILD
    (from rev 94939, argyllcms/trunk/PKGBUILD)
  argyllcms/repos/community-x86_64/argyllcms.install
    (from rev 94939, argyllcms/trunk/argyllcms.install)

------------------------------------+
 community-i686/PKGBUILD            |   58 +++++++++++++++++++++++++++++++++++
 community-i686/argyllcms.install   |   39 +++++++++++++++++++++++
 community-x86_64/PKGBUILD          |   58 +++++++++++++++++++++++++++++++++++
 community-x86_64/argyllcms.install |   39 +++++++++++++++++++++++
 4 files changed, 194 insertions(+)

Copied: argyllcms/repos/community-i686/PKGBUILD (from rev 94939, argyllcms/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2013-08-01 12:47:25 UTC (rev 94940)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Timothy Redaelli <timothy.redaelli at gmail.com>
+# Contributor: Frank Ickstadt (frank dot ickstadt at gmail dot com)
+
+pkgname=argyllcms
+_pkgname=Argyll
+pkgver=1.5.1
+_pkgver="V${pkgver}"
+pkgrel=2
+pkgdesc="An ICC compatible color management system with support for different colorimeter hardware"
+arch=(i686 x86_64)
+depends=('libxss' 'libxinerama' 'libxxf86vm' 'libxrandr')
+makedepends=('ftjam' 'zip' 'unzip')
+source=(http://www.argyllcms.com/${_pkgname}_${_pkgver}_src.zip)
+url="http://www.argyllcms.com/"
+license=("GPL" "AGPL")
+install=${pkgname}.install
+md5sums=('a708364bb389a157b78c1e219c00985a')
+
+build() {
+  cd "${srcdir}"/${_pkgname}_${_pkgver}
+  echo "***running makeall.sh***"
+  sh ./makeall.sh
+  echo "***running makeinstall.sh***"
+  sh ./makeinstall.sh
+  echo "***running makepackagebin.sh***"
+  sh ./makepackagebin.sh
+  rm "${srcdir}"/${_pkgname}_${_pkgver}/bin/License.txt
+  rm "${srcdir}"/${_pkgname}_${_pkgver}/ref/License.txt
+  rm "${srcdir}"/${_pkgname}_${_pkgver}/ref/afiles
+  rm "${srcdir}"/${_pkgname}_${_pkgver}/doc/afiles
+}
+
+package() {
+  mkdir -p "${pkgdir}"/usr/bin
+  install -m755 "${srcdir}"/${_pkgname}_${_pkgver}/bin/* "${pkgdir}"/usr/bin
+  mkdir -p "${pkgdir}"/usr/share/${pkgname}/ref
+  install -m644 "${srcdir}"/${_pkgname}_${_pkgver}/ref/*.* "${pkgdir}"/usr/share/${pkgname}/ref
+  install -m644 "${srcdir}"/${_pkgname}_${_pkgver}/profile/*.sp "${pkgdir}"/usr/share/${pkgname}/ref
+  install -m644 "${srcdir}"/${_pkgname}_${_pkgver}/scanin/*.c?? "${pkgdir}"/usr/share/${pkgname}/ref
+  # Because there is just html documentation we have to move it
+  mkdir -p "${pkgdir}"/usr/share/${pkgname}/doc/ccmxs
+  install -m644 "${srcdir}"/${_pkgname}_${_pkgver}/doc/ccmxs/*.ccmx "${pkgdir}"/usr/share/${pkgname}/doc/ccmxs
+  install -m644 "${srcdir}"/${_pkgname}_${_pkgver}/doc/*.* "${pkgdir}"/usr/share/${pkgname}/doc
+  mkdir -p "${pkgdir}"/usr/lib/udev/rules.d
+  install -m644 "${srcdir}"/${_pkgname}_${_pkgver}/usb/55-Argyll.rules "${pkgdir}"/usr/lib/udev/rules.d/55-Argyll.rules
+  sed -i 's|IMPORT{program}="usb|#IMPORT{program}="usb|' "${pkgdir}"/usr/lib/udev/rules.d/55-Argyll.rules
+  cat <<EOF >>"${pkgdir}"/usr/lib/udev/rules.d/55-Argyll.rules
+
+# As mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=859244 and https://bbs.archlinux.org/viewtopic.php?id=155589
+# I've commented out the line:
+# IMPORT{program}="usb-db %p"
+# to prevent the error messages:
+# systemd-udevd[242]: failed to execute '/usr/lib/udev/usb-db'...
+EOF
+}
+
+# vim:set ts=2 sw=2 et:

Copied: argyllcms/repos/community-i686/argyllcms.install (from rev 94939, argyllcms/trunk/argyllcms.install)
===================================================================
--- community-i686/argyllcms.install	                        (rev 0)
+++ community-i686/argyllcms.install	2013-08-01 12:47:25 UTC (rev 94940)
@@ -0,0 +1,39 @@
+post_install() {
+  cat << EOF
+
+NOTE for argyllcms:
+----
+ ==> The documentaion is only available as html!
+ ==> You will find it in /usr/share/argyllcms/doc
+ ==> Color charts located in /usr/share/argyllcms/ref
+ ==> Since release 1.5.0 ColorHug support is enabled by default. The environment variable "ENABLE_COLORHUG" is not longer needed!
+EOF
+
+/usr/sbin/groupadd plugdev &> /dev/null
+RETVAL=$?
+if [ $RETVAL -eq 0 ] ; then
+  /bin/echo "==> Added group plugdev. Please add your argyllcms user to this group! <=="
+elif [ $RETVAL -eq 9 ] ; then
+  /bin/echo "==> Please add your argyllcms user to plugdev group! <=="
+else
+  /bin/echo "==> Please create group plugdev and add your argyllcms user to this group! <=="
+fi
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  /bin/true
+}
+
+post_remove() {
+  /bin/echo "==> Please check if group plugdev and your assigned argyllcms user is still required! <=="
+  /bin/true
+}
+
+op=$1
+shift
+
+$op $*

Copied: argyllcms/repos/community-x86_64/PKGBUILD (from rev 94939, argyllcms/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2013-08-01 12:47:25 UTC (rev 94940)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer: Timothy Redaelli <timothy.redaelli at gmail.com>
+# Contributor: Frank Ickstadt (frank dot ickstadt at gmail dot com)
+
+pkgname=argyllcms
+_pkgname=Argyll
+pkgver=1.5.1
+_pkgver="V${pkgver}"
+pkgrel=2
+pkgdesc="An ICC compatible color management system with support for different colorimeter hardware"
+arch=(i686 x86_64)
+depends=('libxss' 'libxinerama' 'libxxf86vm' 'libxrandr')
+makedepends=('ftjam' 'zip' 'unzip')
+source=(http://www.argyllcms.com/${_pkgname}_${_pkgver}_src.zip)
+url="http://www.argyllcms.com/"
+license=("GPL" "AGPL")
+install=${pkgname}.install
+md5sums=('a708364bb389a157b78c1e219c00985a')
+
+build() {
+  cd "${srcdir}"/${_pkgname}_${_pkgver}
+  echo "***running makeall.sh***"
+  sh ./makeall.sh
+  echo "***running makeinstall.sh***"
+  sh ./makeinstall.sh
+  echo "***running makepackagebin.sh***"
+  sh ./makepackagebin.sh
+  rm "${srcdir}"/${_pkgname}_${_pkgver}/bin/License.txt
+  rm "${srcdir}"/${_pkgname}_${_pkgver}/ref/License.txt
+  rm "${srcdir}"/${_pkgname}_${_pkgver}/ref/afiles
+  rm "${srcdir}"/${_pkgname}_${_pkgver}/doc/afiles
+}
+
+package() {
+  mkdir -p "${pkgdir}"/usr/bin
+  install -m755 "${srcdir}"/${_pkgname}_${_pkgver}/bin/* "${pkgdir}"/usr/bin
+  mkdir -p "${pkgdir}"/usr/share/${pkgname}/ref
+  install -m644 "${srcdir}"/${_pkgname}_${_pkgver}/ref/*.* "${pkgdir}"/usr/share/${pkgname}/ref
+  install -m644 "${srcdir}"/${_pkgname}_${_pkgver}/profile/*.sp "${pkgdir}"/usr/share/${pkgname}/ref
+  install -m644 "${srcdir}"/${_pkgname}_${_pkgver}/scanin/*.c?? "${pkgdir}"/usr/share/${pkgname}/ref
+  # Because there is just html documentation we have to move it
+  mkdir -p "${pkgdir}"/usr/share/${pkgname}/doc/ccmxs
+  install -m644 "${srcdir}"/${_pkgname}_${_pkgver}/doc/ccmxs/*.ccmx "${pkgdir}"/usr/share/${pkgname}/doc/ccmxs
+  install -m644 "${srcdir}"/${_pkgname}_${_pkgver}/doc/*.* "${pkgdir}"/usr/share/${pkgname}/doc
+  mkdir -p "${pkgdir}"/usr/lib/udev/rules.d
+  install -m644 "${srcdir}"/${_pkgname}_${_pkgver}/usb/55-Argyll.rules "${pkgdir}"/usr/lib/udev/rules.d/55-Argyll.rules
+  sed -i 's|IMPORT{program}="usb|#IMPORT{program}="usb|' "${pkgdir}"/usr/lib/udev/rules.d/55-Argyll.rules
+  cat <<EOF >>"${pkgdir}"/usr/lib/udev/rules.d/55-Argyll.rules
+
+# As mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=859244 and https://bbs.archlinux.org/viewtopic.php?id=155589
+# I've commented out the line:
+# IMPORT{program}="usb-db %p"
+# to prevent the error messages:
+# systemd-udevd[242]: failed to execute '/usr/lib/udev/usb-db'...
+EOF
+}
+
+# vim:set ts=2 sw=2 et:

Copied: argyllcms/repos/community-x86_64/argyllcms.install (from rev 94939, argyllcms/trunk/argyllcms.install)
===================================================================
--- community-x86_64/argyllcms.install	                        (rev 0)
+++ community-x86_64/argyllcms.install	2013-08-01 12:47:25 UTC (rev 94940)
@@ -0,0 +1,39 @@
+post_install() {
+  cat << EOF
+
+NOTE for argyllcms:
+----
+ ==> The documentaion is only available as html!
+ ==> You will find it in /usr/share/argyllcms/doc
+ ==> Color charts located in /usr/share/argyllcms/ref
+ ==> Since release 1.5.0 ColorHug support is enabled by default. The environment variable "ENABLE_COLORHUG" is not longer needed!
+EOF
+
+/usr/sbin/groupadd plugdev &> /dev/null
+RETVAL=$?
+if [ $RETVAL -eq 0 ] ; then
+  /bin/echo "==> Added group plugdev. Please add your argyllcms user to this group! <=="
+elif [ $RETVAL -eq 9 ] ; then
+  /bin/echo "==> Please add your argyllcms user to plugdev group! <=="
+else
+  /bin/echo "==> Please create group plugdev and add your argyllcms user to this group! <=="
+fi
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  /bin/true
+}
+
+post_remove() {
+  /bin/echo "==> Please check if group plugdev and your assigned argyllcms user is still required! <=="
+  /bin/true
+}
+
+op=$1
+shift
+
+$op $*




More information about the arch-commits mailing list